# BLE Binding for Redpesk®

 **/!\ DEPRECATED /!\\**
**New binding: bluetooth-low-energy-binding at http://git.ovh.iot/redpesk/redpesk-addons/bluetooth-low-energy-binding**

A binding to interface with any device in BLE

## Dependencies

- gattlib 0.2.0
- glib2.0
- libbluetooth

Fedora / CentOS :

```bash
sudo dnf install bluez-libs-devel glib2-devel
```

Ubuntu / debian :

```bash
sudo apt install libbluetooth-dev libglib2.0-dev
```

### Important

The version of Gattlib used for now is the Legacy support (using bluZ backend instead of DBus backed). Moreover a Path has benn apply to fix some CLib-CRITICAL error. See this [link](http://iotbzh-git-dev01.lorient.iot/iotbzh-runtime-dev01.lorient.iot/redpesk-common/gattlib/-/tree/master-next).
### gattlib 2.0

Use this [link](https://github.com/labapart/gattlib) to have source. We need the Gattlib without D-BUS support

Feodra / Centos :

```bash
wget https://github.com/labapart/gattlib/releases/download/dev/gattlib_0.2-dev_x86_64.rpm
sudo yum localinstall gattlib_0.2-dev_x86_64.rpm
```

Ubuntu :

```bash
wget https://github.com/labapart/gattlib/releases/download/dev/gattlib_0.2-dev_x86_64.deb
sudo apt install ./gattlib_0.2-dev_x86_64.deb
```

## Build & run the binding

You can build the binding in the same way than any other binding :
```bash
mkdir build
cd build
cmake ..
make
```

Then, you can run the binding with the command suggested at the end of the previous make command.

## Link

- [Architecture](docs/1-Architecture.md)
- [Installation](docs/2-Installation.md)
- [Usage](docs/3-Usage.md)
- [Protocole](docs/4-Protocole.md)
